Mailinglist Archive: opensuse-security-announce (31 mails)

< Previous Next >
[security-announce] SUSE-SU-2011:1042-2: important: Security update for libfreebl3
SUSE Security Update: Security update for libfreebl3
______________________________________________________________________________

Announcement ID: SUSE-SU-2011:1042-2
Rating: important
References: #714931
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that contains security fixes can now be
installed. It includes two new package versions.

Description:


This update updates Mozilla NSS to 3.12.11.

The update marks the compromised DigiNotar Certificate
Authority as untrusted

For more information read:

MFSA 2011-34
<http://www.mozilla.org/security/announce/2011/mfsa2011-34.h
tml>

* update to 3.12.10 o root CA changes o filter certain
bogus certs (bmo#642815) o fix minor memory leaks o other
bugfixes
* update to 3.12.9 o fix minor memory leaks
(bmo#619268) o fix crash in nss_cms_decoder_work_data
(bmo#607058) o fix crash in certutil (bmo#620908) o handle
invalid argument in JPAKE (bmo#609068) o J-PAKE support
(API requirement for Firefox >= 4.0b8)
* replaced expired PayPal test certificate (fixing
testsuite)
* removed DigiNotar root certifiate from trusted db
(bmo#682927)

This update also brings the prerequired Mozilla NSPR to
version 4.8.9.

* update to 4.8.9
* update to 4.8.8 o support IPv6 on Android
(bmo#626866) o use AI_ADDRCONFIG for loopback hostnames
(bmo#614526) o support SDP sockets (bmo#518078) o support
m32r architecture (bmo#635667) o use atomic functions on
ARM (bmo#626309) o some other fixes not affecting the Linux
platform

Indications:

Please install this update.

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-nss-31211-5138

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-nss-31211-5138

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-nss-31211-5138

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-nss-31211-5138

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 ia64 ppc64
s390x x86_64) [New Version: 3.12.11 and 4.8.9]:

mozilla-nspr-devel-4.8.9-1.2.2.1
mozilla-nss-devel-3.12.11-3.2.2.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64) [New Version:
3.12.11 and 4.8.9]:

libfreebl3-3.12.11-3.2.2.1
mozilla-nspr-4.8.9-1.2.2.1
mozilla-nss-3.12.11-3.2.2.1
mozilla-nss-tools-3.12.11-3.2.2.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64) [New Version:
3.12.11 and 4.8.9]:

libfreebl3-32bit-3.12.11-3.2.2.1
mozilla-nspr-32bit-4.8.9-1.2.2.1
mozilla-nss-32bit-3.12.11-3.2.2.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64) [New
Version: 3.12.11 and 4.8.9]:

libfreebl3-3.12.11-3.2.2.1
mozilla-nspr-4.8.9-1.2.2.1
mozilla-nss-3.12.11-3.2.2.1
mozilla-nss-tools-3.12.11-3.2.2.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64) [New Version:
3.12.11 and 4.8.9]:

libfreebl3-32bit-3.12.11-3.2.2.1
mozilla-nspr-32bit-4.8.9-1.2.2.1
mozilla-nss-32bit-3.12.11-3.2.2.1

- SUSE Linux Enterprise Server 11 SP1 (ia64) [New Version: 3.12.11 and
4.8.9]:

libfreebl3-x86-3.12.11-3.2.2.1
mozilla-nspr-x86-4.8.9-1.2.2.1
mozilla-nss-x86-3.12.11-3.2.2.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64) [New Version: 3.12.11
and 4.8.9]:

libfreebl3-3.12.11-3.2.2.1
mozilla-nspr-4.8.9-1.2.2.1
mozilla-nss-3.12.11-3.2.2.1
mozilla-nss-tools-3.12.11-3.2.2.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64) [New Version: 3.12.11 and
4.8.9]:

libfreebl3-32bit-3.12.11-3.2.2.1
mozilla-nspr-32bit-4.8.9-1.2.2.1
mozilla-nss-32bit-3.12.11-3.2.2.1


References:

https://bugzilla.novell.com/714931

http://download.novell.com/patch/finder/?keywords=9258d4a7a325b9387335ff43ae8c1cc5

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages